PRO L1C_CLDRAD, SPEC, WNORES, BAND_VAL, CLDRAD
;
; VERSION
;   02NOV04  AD  Original. Based on parts of lv2pp.pro
;
; DESCRIPTION
;   Evaluate Radiance in Cloud Detection Threshold  channel
;   See MIPAS Meeting notes 13Aug02
;      http://www.atm.ox.ac.uk/group/mipas/meetings/m12.html
;   
;
; ARGUMENTS
;   REAL*4    SPEC(*)       I  Spectrum [0-2410cm-1]
;   REAL*8    WNORES        I  Spectral resolution [cm-1]
;   INTEGER*1 BAND_VAL(5)   I  Band Validity (0=OK)
;   REAL*4    CLDRAD        O  Cloud detection Channel Radiance

IF BAND_VAL(0) EQ 0 THEN BEGIN         ; A-band is valid
  I = ROUND ( 960.700D0 / WNORES )     ; See MIPAS Meeting notes 13Aug02
  CLDRAD = SPEC[I]
ENDIF ELSE CLDRAD = 0.0

END