PRO L1C_SWPTIM, LUNL1B, SCAN_TIME, TOT_SWEEPS, MDS_OFFSET, MDS_SIZE, ISWEEP
;
; VERSION 
;   02NOV04  AD  Original. Based on part of Lv2PP.
;
; DESCRIPTION
; Procedure to find sweep# corresponding to Scan time 
;
; ARGUMENTS
;   INTEGER*4 LUNL1B     I  LUN for L1B file
;   INTEGER*4 SCAN_TIME  I  Time [secs] of 1st sweep in scan
;   INTEGER*4 TOT_SWEEPS I  Total No. sweeps in L1B file
;   INTEGER*4 MDS_OFFSET I  Offset [bytes] for 1st MDS record
;   INTEGER*4 MDS_SIZE   I  Length [bytes] of MDS records
;   INTEGER*4 ISWEEP    I/O Sweep# corresponding to Scan time

DUM4 = BYTARR(4)       ; Skip 1st integer (=days) of Time in MJD
MDS_TIME = -1L         ; 2nd integer, = time of day in seconds

WHILE MDS_TIME NE SCAN_TIME DO BEGIN
  POINT_LUN, LUNL1B, MDS_OFFSET + ( ISWEEP - 1 ) * MDS_SIZE
  READU, LUNL1B, DUM4, MDS_TIME
  IF MDS_TIME EQ SCAN_TIME THEN RETURN
  ISWEEP = ISWEEP + 1
  IF ISWEEP GT TOT_SWEEPS THEN BEGIN
    PRINT, 'F-L1C_SWPTIM: No sweep found to match scan'
    STOP
  ENDIF
ENDWHILE

PRINT, 'F-L1C_SWPTIM: Logical Error'
STOP

END
