PRO L1C_WRTMIC, LUNL1C, SPEC, NMIC, OUTMIC, CODMIC, WNORES, WN1MIC, $
                WN2MIC,  NOIMIC
;
; VERSION 
;   02NOV04  AD  Original. Based on part of lv2pp.pro
;
; DESCRIPTION
;   Procedure to write microwindow information to L1C file.
;
; ARGUMENTS
;   INTEGER*4   LUNL1C       I  LUN for L1C file
;   REAL*4      SPEC(*)      I  Spectrum [0-2410cm-1]
;   INTEGER*2   NMIC         I  No. of microwindows
;   INTEGER*1   OUTMIC(NMIC) I  1=output, 0=no output
;   CHARACTER*8 CODMIC(NMIC) I  List of MW labels
;   REAL*8      WNORES       I  Spectral resolution [cm-1]
;   REAL*8      WN1MIC(NMIC) I  MW Lower wavenumber boundaries
;   REAL*8      WN2MIC(NMIC) I  MW Upper wavenumber boundaries
;   REAL*4      NOIMIC(NMIC) I  Average NESR for each MW

FOR IMIC = 0, NMIC-1 DO BEGIN
  IF OUTMIC[IMIC] THEN BEGIN
    I1 = ROUND ( WN1MIC[IMIC] / WNORES ) 
    I2 = ROUND ( WN2MIC[IMIC] / WNORES ) 
    NPTS = I2 - I1 + 1
    IF NOIMIC[IMIC] GT 99999.0 OR NOIMIC[IMIC] LE 0.0 THEN BEGIN
      PRINT, 'W-L1C_WRTMIC: ' + CODMIC[IMIC] + ' NESR=', NOIMIC[IMIC], $
             ' set to 99999 in output'
      NOIMIC[IMIC] = 99999.0
    ENDIF
    PRINTF, LUNL1C, CODMIC[IMIC], NPTS, WN1MIC[IMIC], WN2MIC[IMIC], $
            NOIMIC[IMIC], FORMAT='(A,X,I7,2(4X,F8.3),4X,F10.4)'
    PRINTF, LUNL1C, SPEC[I1:I2]; , FORMAT='(8F10.4)'
  ENDIF
ENDFOR

END
